[FFe] After doing updates, update manager propose to install an empty list of updates

Bug #1072136 reported by Marius B. Kotsbak on 2012-10-27
144
This bug affects 25 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Unassigned
Xenial
High
Unassigned
Bionic
High
Unassigned

Bug Description

[Impact]

An empty list of updates is shown to the user when phased updates depending on each other are kept back from installation.

The blank list confuses users.

[Test Case]

1. Start with a fully upgraded system and downgrade a few phased interdependent packages to let u-m upgrade them:
(bionic)$ sudo eatmydata apt install -y --allow-downgrades gnome-software=3.28.1-0ubuntu4 gnome-software-common=3.28.1-0ubuntu4
(xenial)$ sudo apt install gnome-software=3.20.1+git20160420.1.ca63436.ubuntu-xenial-0ubuntu2 gnome-software-common=3.20.1+git20160420.1.ca63436.ubuntu-xenial-0ubuntu2 ubuntu-software=3.20.1+git20160420.1.ca63436.ubuntu-xenial-0ubuntu2
$ sudo eatmydata apt install -y --allow-downgrades linux-headers-4.15.0-32 linux-headers-4.15.0-32-generic; sudo /etc/kernel/postinst.d/apt-auto-removal ; sudo apt-mark auto linux-headers-4.15.0-32 linux-headers-4.15.0-32-generic
3. Set phasing to 0%:
$ sudo sed -i 's/Phased-Update-Percentage: .*/Phased-Update-Percentage: 0/' /var/lib/apt/lists/*.archive.ubuntu.com_ubuntu_dists_*-updates_main_binary-amd64_Packages

2. Start u-m with:
 $ update-manager --no-update

4. Observe installable updates or u-m telling that there are no updates to install in the fixed version or a blank list with unfixed u-m.

[Regression Potential]

Implementation mistakes could make phased updates installed of autoremovable kernels not to be removed but in my testing I found not such problem.

[Original Bug Text]

In the update dialog, there is no updates, just an empty list, see the attached screenhot. Clicking install now-button just takes me back to the dialog after some time.

This problem started after some updates to update-manager to Quantal.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: update-manager 1:0.174.3
Uname: Linux 3.7.0-030700rc1-generic i686
ApportVersion: 2.6.1-0ubuntu6
Aptdaemon:
 Oct 27 18:45:26 marius-T1005 AptDaemon.Worker: INFO: Finished transaction /org/debian/apt/transaction/f6cfb52c39784feb9427cff710a6b22c
 Oct 27 18:50:46 marius-T1005 AptDaemon: INFO: Quitting due to inactivity
 Oct 27 18:50:46 marius-T1005 AptDaemon: INFO: Quitting was requested
Architecture: i386
Date: Sat Oct 27 18:50:31 2012
EcryptfsInUse: Yes
GsettingsChanges:
 b'com.ubuntu.update-manager' b'first-run' b'false'
 b'com.ubuntu.update-manager' b'launch-time' b'1351354931'
 b'com.ubuntu.update-manager' b'show-details' b'true'
 b'com.ubuntu.update-manager' b'window-height' b'678'
 b'com.ubuntu.update-manager' b'window-width' b'1364'
MarkForUpload: True
PackageArchitecture: all
SourcePackage: update-manager
UpgradeStatus: Upgraded to quantal on 2012-08-31 (57 days ago)

Related branches

Marius B. Kotsbak (mariusko) wrote :
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed
Ana (ana-dolosa) wrote :

I have solved my problem uninstalling 'gtk3-engines-oxygen' ... and re-installing back.

Regards.

Christopher Brims (kf6sgy) wrote :

I am having this same issue. gtk3-engines-oxygen was not installed on my machine. Installing, purging, and reinstalling this package did not solve this issue. I first noticed this same issue on August 8th, I manually installed updates via apt-get. The previous day it was all thunderbird updates, on the 6th it was libdbusmenu updates, firefox updates, passwd, and an xserver intel update.

Dema Mizel (mizdmitry) wrote :

Yesterday I used to update in terminal installed gtk3 engines then check again in update manager. It does not solve problem with empty list yesterday. Today I see software updater displays list properly. No idea.

Ricky Seltzer (rickyseltzer) wrote :

I have been seeing this for a while on 13.04, x86_64. I was hoping that whatever invisible software was installed would fix the problem, but not yet. I can tell that today it installed something called plymouth, which involves splash screens.

ame (ame-w) wrote :

I have seen this now few times on in few my machines, first time it shows only 36 kB (or something) will be loaded and this time it is 1.7 MB.

Mingun (alexander-sergey) wrote :

About two weeks ago this bug is appeared on Ubuntu 16.04

Mingun (alexander-sergey) wrote :

Sometimes the empty list is only shown, but if to agree with installation, then something is installed. This time linux-kernel came and the upgrades size was about 60 MB. Before this time the attempt to install invisible updates did not lead to anything

tags: added: id-5b59f775168877b93e7f264b
Balint Reczey (rbalint) on 2018-09-28
Changed in update-manager (Ubuntu):
importance: Undecided → High
status: Confirmed → Fix Committed
Changed in update-manager (Ubuntu Xenial):
importance: Undecided → High
Changed in update-manager (Ubuntu Bionic):
importance: Undecided → High
Changed in update-manager (Ubuntu Xenial):
status: New → Confirmed
Changed in update-manager (Ubuntu Bionic):
status: New → Confirmed
Balint Reczey (rbalint) on 2018-10-01
summary: - After doing updates, update manager propose to install an empty list of
- updates
+ [FFe] After doing updates, update manager propose to install an empty
+ list of updates
tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:18.10.9

---------------
update-manager (1:18.10.9) cosmic; urgency=medium

  * Allow unselecting updates and performing only removals (LP: #1792320)
  * Stop trying apt_pkg.pkgsystem_(un)lock(), as a normal user it always fails
    (LP: #1795387)
  * Keep or delete packages after looping over all of them.
    This prevents the resolver from changing the packages in the loop resulting
    in not keeping some phased packages back from being upgraded. (LP: #1072136)
  * Fix PEP 8 warnings (LP: #1795384)
    Also ignore "W503 line break before binary operator" because it will
    become the best practice

 -- Balint Reczey <email address hidden> Mon, 01 Oct 2018 18:00:40 +0200

Changed in update-manager (Ubuntu):
status: Fix Committed → Fix Released
Balint Reczey (rbalint) on 2018-10-05
description: updated

Hello Marius, or anyone else affected,

Accepted update-manager into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-manager/1:18.04.11.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in update-manager (Ubuntu Bionic):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-bionic
Balint Reczey (rbalint) wrote :

Verified the fix with 1:18.04.11.6 and the blank list does not appear. Interestingly it does not appear now with 1:18.04.11.5 despite that I marked the packages as being in phasing manually.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic

The verification of the Stable Release Update for update-manager has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:18.04.11.6

---------------
update-manager (1:18.04.11.6) bionic; urgency=medium

  * Keep or delete packages after looping over all of them.
    This prevents the resolver from changing the packages in the loop resulting
    in not keeping some phased packages back from being upgraded. (LP: #1072136)
  * Stop lazy import of InstallBackends.
    Lazy imports made update-manager crash when an update-manager
    update changed the backend API and an updated incompatible backend
    was loaded to the not updated running update-manager process. (LP: #1795898)
  * Cancel transaction on exit only when Cancel button is active.
    Also ignore exception when cancellation fails. (LP: #1790670)

 -- Balint Reczey <email address hidden> Thu, 04 Oct 2018 21:33:57 +0200

Changed in update-manager (Ubuntu Bionic):
status: Fix Committed → Fix Released

Hello Marius, or anyone else affected,

Accepted update-manager into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-manager/1:16.04.15 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in update-manager (Ubuntu Xenial):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-xenial
removed: verification-done
Balint Reczey (rbalint) wrote :

Verified with 1:16.04.15 on Xenial. With 1:16.04.14 the verification steps still trigger the blank list.

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
VinsS (vincent-vandevyvre) wrote :

After update with 1:18.04.11.6 the problem of the blank list is solved on bionic.

Thanks

KennoVO (kenno-xs4all) wrote :

The good news: released fix works.

What's a bit worrisome, though, is that I had to *manually* run
sudo apt-get install update-manager update-manager-core python3-update-manager
in order to be able to use update-manager to install all other updates, some of which were long overdue because of this bug.

I'm not sure if update-manager would eventually have updated automatically, but even then, I can imagine that a lot of users would be permanently at risk from outdated software because of having disabled automatic updates or because of running ubuntu on a laptop that never gets the chance to update automatically [as the bug itself prevents updating manually, at least for users who only know update-manager].

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:16.04.15

---------------
update-manager (1:16.04.15) xenial; urgency=medium

  * Keep or delete packages after looping over all of them.
    This prevents the resolver from changing the packages in the loop resulting
    in not keeping some phased packages back from being upgraded. (LP: #1072136)
  * Stop lazy import of InstallBackends.
    Lazy imports made update-manager crash when an update-manager
    update changed the backend API and an updated incompatible backend
    was loaded to the not updated running update-manager process. (LP: #1795898)
  * Cancel transaction on exit only when Cancel button is active.
    Also ignore exception when cancellation fails. (LP: #1790670)
  * Make commit()'s last parameter optional for avoiding crash on upgrade
    (LP: #1771894)

 -- Balint Reczey <email address hidden> Thu, 04 Oct 2018 21:51:10 +0200

Changed in update-manager (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers